Subject: ANNOUNCE: libnet-1.05 PATCH: 02
From: Graham Barr <[email-masked]>
Date: 6 Apr 1997 16:14:15 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

I have just uploaded to CPAN a patch to libnet-1.05 which fixes a few minor
problems that have been reported.

These fixes are

        Net::Domain
        - Fixed 'Use of uninitialized value' in _hostdomain()

        Configure
        - Remove the use of Net::Domain, as this required Net::Config
          to be installed before it was created.
        - Removed the need for Data::Dumper to be installed for
          Configure to be run.
 
        Makefile.PL
        - Changed the die to warn if Data::Dumper is not installed

libnet is a collection of perl modules which encapsulate the usage
of various protocols used in the internet community. These include

  Net::FTP     (RFC959)
  Net::SMTP    (RFC821)
  Net::Netrc
  Net::Cmd
  Net::Domain
  Net::Telnet  (RFC854)
  Net::Time    (RFC867 & RFC868)
  Net::NNTP    (RFC977)
  Net::POP3    (RFC1939)
  Net::SNPP    (RFC1861)
  Net::PH
  Net::Config

To install libnet you ***MUST*** have the following modules installed

  Data::Dumper
  IO::Socket

It should be avaliable on mirror sites soon from

    http://www.perl.com/CPAN/authors/Graham_Barr/libnet-1.05_01.pat.gz

Comments are always very welcome.

Copyright 1996 Graham Barr. All rights reserved.

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Share and Enjoy!
Graham <[email-masked]>
-- 
Graham Barr                                               <[email-masked]>
Reality is a figment of the imagination caused by a lack of drink